From 591e1cc26bf18dbc9a6fcb64fb16ca4a4816e81e Mon Sep 17 00:00:00 2001
From: jullianaa <julliana.coutoalmeida@gmail.com>
Date: Jun 20 2018 23:55:54 +0000
Subject: [PATCH 24/42] Merge branch 'tests' of ssh://pagure.io/forks/matheussbernardo/kiskadee/kiskadee_ui into tests


---

diff --git a/cypress/integration/authentication.spec.js b/cypress/integration/authentication.spec.js
new file mode 100644
index 0000000..3a3da3c
--- /dev/null
+++ b/cypress/integration/authentication.spec.js
@@ -0,0 +1,44 @@
+describe('Authorization tests', () => {
+
+    beforeEach(() => {
+        cy.visit('localhost:8080/#/');
+      
+        cy.server();
+      
+        // Stubing server response
+        cy.route({
+          method: 'POST',
+          url: '/login',
+          status: 200,
+          response: 'fixture:login.json',
+        }).as('login');
+      });
+  
+    it('should access homepage', () => {
+      cy.get('.log-itens').click();
+      cy.get('#log-item-login').click();    
+      
+      cy.get('h3').contains('Sign in to Kiskadee');
+      cy.get('#email').contains('Email address');
+      cy.get('#password').contains('Password');
+      cy.get('#remember').contains('Remember me');
+      cy.get('#login-button').contains('Login');
+      });
+  
+      it('should log in user', () => {
+        cy.get('.log-itens').click();
+        cy.get('#log-item-login').click();
+        cy.get('#form-login').within(() => {
+          cy.get('input:first').eq(0)
+            .type('nome@gmail.com')
+            .should('have.value', 'nome@gmail.com');
+    
+          cy.get('#passwordInput')
+            .type('123456789')
+            .should('have.value', '123456789');
+        });
+        cy.get('#login-button').eq(0).click();
+        
+        cy.url().should('eq', 'http://localhost:8080/#/');
+      });  
+  })
\ No newline at end of file

